# Interface JSVViewPanel

All Known Subinterfaces:
  `JSVMainPanel, JSVPanel`

All Known Implementing Classes:
  `AwtMainPanel, AwtPanel, JsMainPanel, JsPanel`

public interface JSVViewPanel

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`int`
`getHeight()`
`String`
`getTitle()`
`int`
`getWidth()`
`boolean`
`isEnabled()`
`boolean`
`isFocusable()`
`boolean`
`isVisible()`
`void`
`setEnabled(boolean b)`
`void`
`setFocusable(boolean b)`
`void`
`setTitle(String title)`

## Method Details

### dispose

void dispose()

### getHeight

int getHeight()

### getTitle

String getTitle()

### getWidth

int getWidth()

### isEnabled

boolean isEnabled()

### isFocusable

boolean isFocusable()

### isVisible

boolean isVisible()

### setEnabled

void setEnabled(boolean b)

### setFocusable

void setFocusable(boolean b)

### setTitle

void setTitle(String title)